<?
session_start();
if ($_POST[submit]) {
  // connexion à la base
  include "base.php";
  // vérification du mot de passe et de l'email
  $result = pg_query_ok("select connecte('".session_id()."','$_POST[email]','$_POST[passe]')");
  if (pg_fetch_result($result,0,0) == 't') {
    // une ligne à été trouvée. on repart sur la page d'accueil.
    header("Location: /");
    exit();    
  } 
  // pas de ligne trouvée
  $message = "Un élément au moins parmis le mot de passe et l'email sont incorrects.";
}
require_once "header.php";
?>
<principal titre="Connexion à PiloteWeb">
 <? if ($message) print "<p>$message</p>"; ?>
 <formulaire action="/connexion.php" method="post">
  <texte titre="Email :" nom="email" /> 
  <passe titre="Mot de passe :" nom="passe"/>
 </formulaire>
 <p>Si vous n'êtes pas inscrits, <a href="/inscription.php">cliquez ici</a>.</p></principal>
</page>
